Subject: Re: bug#21650: 24.5; mh-e keeps trying to open urls

From: Wolfgang Jenkner <[email-masked]>
Date: Fri, 09 Oct 2015 03:23:05 +0200

On Thu, Oct 08 2015, Simon Gerraty wrote:

> With latest upgrade, I now get rubbish like:
>
> Opening TLS connection with `gnutls-cli --insecure -p 443 ...
>
> Which I certainly do not want (else I'd be using a browser to read mail).
> ^G won't stop it and a 2nd ^G makes emacs want to core dump!

This message seems to come from `open-tls-stream' (in lisp/net/tls.el),
so it would be useful to have a backtrace from there.

E.g., instrument the function with edebug-defun and then type `d' when
a call to `open-tls-stream' activates edebug, see (info "(elisp) Edebug Misc").